module SPIRV_LLVM_Translator_unified_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libLLVMSPIRV
const libLLVMSPIRV_path = "/usr/lib/libLLVMSPIRVLib.so.22.1"
libLLVMSPIRV_handle = C_NULL
get_libLLVMSPIRV_path() = libLLVMSPIRV_path
const libLLVMSPIRV = "libLLVMSPIRVLib.so.22.1"
export llvm_spirv
const llvm_spirv_path = "/usr/bin/llvm-spirv"
llvm_spirv(f::Function; kw...) = f(llvm_spirv_path)
llvm_spirv(; kw...) = Cmd([llvm_spirv_path])
function __init__()
    global libLLVMSPIRV_handle = dlopen(libLLVMSPIRV_path)
end
end
